﻿var URL = location.pathname;
arr = URL.split(/\\|\//);
UpperDirName = arr[arr.length-2];
ThisFileName = arr[arr.length-1];

BookShortName = 'BDG';
arrLayout = new Array();
WorksDisplay  = 'Mt Mk Lk Jn Ac Rom 1Co 2Co Gal Eph Php Col 1Th 2Th 1Ti 2Ti Tit Phm Heb Jas 1Pt 2Pt 1Jn 2Jn 3Jn Jd Rev';
WorksLink =     'MT MK LK JN AC ROM 1CO 2CO GAL EPH PHP COL 1TH 2TH 1TI 2TI TIT PHM HEB JAS 1PT 2PT 1JN 2JN 3JN JD REV';
WorksSections = '28 16 24 21 28 16 16 13 6 6 4 4 5 3 6 4 3 1 13 5 5 3 5 1 1 1 22';

var arrWorksDisplay = WorksDisplay.split(' ');
var arrWorksLink = WorksLink.split(' ');
var arrWorksSections = WorksSections.split(' ');

function correctAnchors(e) {
    var target =  e != null ?
        (e.tagName == "A" ? e : e.target) :
            // e if it is called inside existing onclick handler as "correctAnchors(this)"
        (window.event != null ? window.event.srcElement : null);
            // null if this function is called manually, for example, inside correctAllOnLoad()
    var h = null;
    if (target != null && target.tagName == "A") {
        // it means that this function was called as onclick event of some <a href="#xxx"> link
        var ref = target.href + "";
        var p = ref.indexOf("#");
        if (p != -1) {
            h = ref.substring(p);
        }
    }
    if (h == null) {
        // it means that this function was called as window.onload
        h = location.hash;
    }
    //setOneElementBold(h);
    setOneElementVisibleAndOthersInvisible(h);
    return true;
}

function setOneElementBold(h) {
    var links = document.getElementsByTagName("a");
    for (var k = 0; k < links.length; k++) {
        var a = links[k];
        if ("#" + a.name == h) {
            a.style.fontWeight = "bold";
        } else {
            a.style.fontWeight = "normal";
        }
    }
    var elements = document.getElementsByTagName("dd");
    for (var k = 0; k < elements.length; k++) {
        var e = elements[k];
        var id = e.id + "";
        if ("#" + id == h) {
            e.style.fontWeight = "bold";
        } else {
            e.style.fontWeight = "normal";
        }
    }
}

function setOneElementVisibleAndOthersInvisible(h) {
    var links = document.getElementsByTagName("a");
    for (var k = 0; k < links.length; k++) {
        var a = links[k];
        if ("#" + a.name == h) {
            a.style.display = "";
        } else {
            a.style.display = "none";
        }
    }
    var elements = document.getElementsByTagName("dd");
    for (var k = 0; k < elements.length; k++) {
        var e = elements[k];
        var id = e.id + "";
        if ("#" + id == h) {
            e.style.display = "";
        } else {
            e.style.display = "none";
        }
    }
    var containers = document.getElementsByTagName("dl");
    for (var k = 0; k < containers.length; k++) {
        var e = containers[k];
        e.style.display = "";
    }
}


function correctAllOnLoad() {
    correctAnchors(null);
    var links = document.getElementsByTagName("a");
    for (var k = 0; k < links.length; k++) {
        var a = links[k];
        if ((a.href + "").indexOf("#") != -1) {
            if (a.onclick == null) {
                a.onclick = correctAnchors;
            }
        }
    }
}

window.onload = correctAllOnLoad;

(function (d, w, c) {
    (w[c] = w[c] || []).push(function() {
        try {
            w.yaCounter13926556 = new Ya.Metrika({id:13926556, enableAll: true});
        } catch(e) {}
    });
    
    var n = d.getElementsByTagName("script")[0],
        s = d.createElement("script"),
        f = function () { n.parentNode.insertBefore(s, n); };
    s.type = "text/javascript";
    s.async = true;
    s.src = (d.location.protocol == "https:" ? "https:" : "http:") + "//mc.yandex.ru/metrika/watch.js";

    if (w.opera == "[object Opera]") {
        d.addEventListener("DOMContentLoaded", f);
    } else { f(); }
})(document, window, "yandex_metrika_callbacks");

document.write('<noscript><div><img src="//mc.yandex.ru/watch/13926556" style="position:absolute; left:-9999px;" alt="" /></div></noscript>');
